namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Genlist::homogeneous_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_homogeneous_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::homogeneous_set( ::efl::eolian::in_traits<bool>::type homogeneous) const
{
    ::elm_obj_genlist_homogeneous_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(homogeneous));
}
inline ::efl::eolian::return_traits<Elm_Object_Select_Mode>::type Genlist::select_mode_get() const
{
   Elm_Object_Select_Mode __return_value =  ::elm_obj_genlist_select_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Object_Select_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::select_mode_set( ::efl::eolian::in_traits<Elm_Object_Select_Mode>::type mode) const
{
    ::elm_obj_genlist_select_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Object_Select_Mode,  ::efl::eolian::in_traits<Elm_Object_Select_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::focus_on_selection_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_focus_on_selection_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::focus_on_selection_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::elm_obj_genlist_focus_on_selection_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<double>::type Genlist::longpress_timeout_get() const
{
   double __return_value =  ::elm_obj_genlist_longpress_timeout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::longpress_timeout_set( ::efl::eolian::in_traits<double>::type timeout) const
{
    ::elm_obj_genlist_longpress_timeout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(timeout));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::multi_select_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_multi_select_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::multi_select_set( ::efl::eolian::in_traits<bool>::type multi) const
{
    ::elm_obj_genlist_multi_select_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(multi));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::reorder_mode_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_reorder_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::reorder_mode_set( ::efl::eolian::in_traits<bool>::type reorder_mode) const
{
    ::elm_obj_genlist_reorder_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(reorder_mode));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::decorate_mode_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_decorate_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::decorate_mode_set( ::efl::eolian::in_traits<bool>::type decorated) const
{
    ::elm_obj_genlist_decorate_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(decorated));
}
inline ::efl::eolian::return_traits<Elm_Object_Multi_Select_Mode>::type Genlist::multi_select_mode_get() const
{
   Elm_Object_Multi_Select_Mode __return_value =  ::elm_obj_genlist_multi_select_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Object_Multi_Select_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::multi_select_mode_set( ::efl::eolian::in_traits<Elm_Object_Multi_Select_Mode>::type mode) const
{
    ::elm_obj_genlist_multi_select_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Object_Multi_Select_Mode,  ::efl::eolian::in_traits<Elm_Object_Multi_Select_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<int>::type Genlist::block_count_get() const
{
   int __return_value =  ::elm_obj_genlist_block_count_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::block_count_set( ::efl::eolian::in_traits<int>::type count) const
{
    ::elm_obj_genlist_block_count_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(count));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::tree_effect_enabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_tree_effect_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::tree_effect_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::elm_obj_genlist_tree_effect_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::highlight_mode_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_highlight_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::highlight_mode_set( ::efl::eolian::in_traits<bool>::type highlight) const
{
    ::elm_obj_genlist_highlight_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(highlight));
}
inline ::efl::eolian::return_traits<Elm_List_Mode>::type Genlist::mode_get() const
{
   Elm_List_Mode __return_value =  ::elm_obj_genlist_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_List_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::mode_set( ::efl::eolian::in_traits<Elm_List_Mode>::type mode) const
{
    ::elm_obj_genlist_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_List_Mode,  ::efl::eolian::in_traits<Elm_List_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::decorated_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_decorated_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::selected_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_selected_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::first_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_first_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type Genlist::selected_items_get() const
{
   const Eina_List * __return_value =  ::elm_obj_genlist_selected_items_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::last_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_last_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::filter_set( ::efl::eolian::in_traits<void*>::type key) const
{
    ::elm_obj_genlist_filter_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(key));
}
inline ::efl::eolian::return_traits<void>::type Genlist::realized_items_update() const
{
    ::elm_obj_genlist_realized_items_update(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::at_xy_item_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::out_traits<int>::type posret) const
{
   int __out_param_posret = {};
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_at_xy_item_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      , & __out_param_posret);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(posret, __out_param_posret);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned int>::type Genlist::filtered_items_count() const
{
   unsigned int __return_value =  ::elm_obj_genlist_filtered_items_count(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned int>::type Genlist::items_count() const
{
   unsigned int __return_value =  ::elm_obj_genlist_items_count(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::clear() const
{
    ::elm_obj_genlist_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::search_by_text_item_get( ::efl::eolian::in_traits< ::elm::widget::Item>::type item_to_search_from,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type pattern,  ::efl::eolian::in_traits<Elm_Glob_Match_Flags>::type flags) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_search_by_text_item_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Elm_Widget_Item*,  ::efl::eolian::in_traits< ::elm::widget::Item>::type>(item_to_search_from)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(pattern)
      ,  ::efl::eolian::convert_to_c<Elm_Glob_Match_Flags,  ::efl::eolian::in_traits<Elm_Glob_Match_Flags>::type>(flags));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Genlist::homogeneous_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_homogeneous_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::homogeneous_set( ::efl::eolian::in_traits<bool>::type homogeneous) const
{
    ::elm_obj_genlist_homogeneous_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(homogeneous));
}
inline ::efl::eolian::return_traits<Elm_Object_Select_Mode>::type Genlist::select_mode_get() const
{
   Elm_Object_Select_Mode __return_value =  ::elm_obj_genlist_select_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Object_Select_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::select_mode_set( ::efl::eolian::in_traits<Elm_Object_Select_Mode>::type mode) const
{
    ::elm_obj_genlist_select_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Object_Select_Mode,  ::efl::eolian::in_traits<Elm_Object_Select_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::focus_on_selection_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_focus_on_selection_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::focus_on_selection_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::elm_obj_genlist_focus_on_selection_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<double>::type Genlist::longpress_timeout_get() const
{
   double __return_value =  ::elm_obj_genlist_longpress_timeout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::longpress_timeout_set( ::efl::eolian::in_traits<double>::type timeout) const
{
    ::elm_obj_genlist_longpress_timeout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(timeout));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::multi_select_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_multi_select_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::multi_select_set( ::efl::eolian::in_traits<bool>::type multi) const
{
    ::elm_obj_genlist_multi_select_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(multi));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::reorder_mode_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_reorder_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::reorder_mode_set( ::efl::eolian::in_traits<bool>::type reorder_mode) const
{
    ::elm_obj_genlist_reorder_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(reorder_mode));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::decorate_mode_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_decorate_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::decorate_mode_set( ::efl::eolian::in_traits<bool>::type decorated) const
{
    ::elm_obj_genlist_decorate_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(decorated));
}
inline ::efl::eolian::return_traits<Elm_Object_Multi_Select_Mode>::type Genlist::multi_select_mode_get() const
{
   Elm_Object_Multi_Select_Mode __return_value =  ::elm_obj_genlist_multi_select_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Object_Multi_Select_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::multi_select_mode_set( ::efl::eolian::in_traits<Elm_Object_Multi_Select_Mode>::type mode) const
{
    ::elm_obj_genlist_multi_select_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Object_Multi_Select_Mode,  ::efl::eolian::in_traits<Elm_Object_Multi_Select_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<int>::type Genlist::block_count_get() const
{
   int __return_value =  ::elm_obj_genlist_block_count_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::block_count_set( ::efl::eolian::in_traits<int>::type count) const
{
    ::elm_obj_genlist_block_count_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(count));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::tree_effect_enabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_tree_effect_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::tree_effect_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::elm_obj_genlist_tree_effect_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<bool>::type Genlist::highlight_mode_get() const
{
   Eina_Bool __return_value =  ::elm_obj_genlist_highlight_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::highlight_mode_set( ::efl::eolian::in_traits<bool>::type highlight) const
{
    ::elm_obj_genlist_highlight_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(highlight));
}
inline ::efl::eolian::return_traits<Elm_List_Mode>::type Genlist::mode_get() const
{
   Elm_List_Mode __return_value =  ::elm_obj_genlist_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_List_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::mode_set( ::efl::eolian::in_traits<Elm_List_Mode>::type mode) const
{
    ::elm_obj_genlist_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_List_Mode,  ::efl::eolian::in_traits<Elm_List_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::decorated_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_decorated_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::selected_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_selected_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::first_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_first_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type Genlist::selected_items_get() const
{
   const Eina_List * __return_value =  ::elm_obj_genlist_selected_items_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::last_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_last_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::filter_set( ::efl::eolian::in_traits<void*>::type key) const
{
    ::elm_obj_genlist_filter_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(key));
}
inline ::efl::eolian::return_traits<void>::type Genlist::realized_items_update() const
{
    ::elm_obj_genlist_realized_items_update(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::at_xy_item_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::out_traits<int>::type posret) const
{
   int __out_param_posret = {};
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_at_xy_item_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      , & __out_param_posret);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(posret, __out_param_posret);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned int>::type Genlist::filtered_items_count() const
{
   unsigned int __return_value =  ::elm_obj_genlist_filtered_items_count(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned int>::type Genlist::items_count() const
{
   unsigned int __return_value =  ::elm_obj_genlist_items_count(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Genlist::clear() const
{
    ::elm_obj_genlist_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Genlist::search_by_text_item_get( ::efl::eolian::in_traits< ::elm::widget::Item>::type item_to_search_from,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type pattern,  ::efl::eolian::in_traits<Elm_Glob_Match_Flags>::type flags) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_genlist_search_by_text_item_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Elm_Widget_Item*,  ::efl::eolian::in_traits< ::elm::widget::Item>::type>(item_to_search_from)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(pattern)
      ,  ::efl::eolian::convert_to_c<Elm_Glob_Match_Flags,  ::efl::eolian::in_traits<Elm_Glob_Match_Flags>::type>(flags));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline elm::Genlist::operator ::elm::Genlist() const { return *static_cast< ::elm::Genlist const*>(static_cast<void const*>(this)); }
inline elm::Genlist::operator ::elm::Genlist&() { return *static_cast< ::elm::Genlist*>(static_cast<void*>(this)); }
inline elm::Genlist::operator ::elm::Genlist const&() const { return *static_cast< ::elm::Genlist const*>(static_cast<void const*>(this)); }
} }

